org.apache.hc.core5.http2.protocol

## Class H2RequestContent

- java.lang.Object
- - org.apache.hc.core5.http.protocol.RequestContent
  - - org.apache.hc.core5.http2.protocol.H2RequestContent

- All Implemented Interfaces:
    HttpRequestInterceptor

      @Contract(threading=IMMUTABLE)
      public class H2RequestContent
      extends RequestContent

  HTTP/2 compatible extension of `RequestContent`.

  This interceptor is essential for the HTTP protocol conformance and the correct operation of the client-side message processing pipeline.

  Since:
    5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static H2RequestContent` | `INSTANCE` Singleton instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `H2RequestContent()`
    `H2RequestContent(boolean overwrite)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpRequest request, EntityDetails entity, HttpContext context)` Processes a request.

    - ### Methods inherited from class org.apache.hc.core5.http.protocol.RequestContent

      `validateOptionsContentType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final H2RequestContent INSTANCE

      Singleton instance.
      Since:
        5.2

  - ### Constructor Detail

    - #### H2RequestContent

          public H2RequestContent()

    - #### H2RequestContent

          public H2RequestContent(boolean overwrite)

  - ### Method Detail

    - #### process

          public void process(HttpRequest request,
                              EntityDetails entity,
                              HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpRequestInterceptor`
      Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpRequestInterceptor`
      Overrides:
        `process` in class `RequestContent`
      Parameters:
        `request` - the request to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.